Bug 1120804 - [RFE] Add Swift-backed Glance to openstack-puppet-modules
Summary: [RFE] Add Swift-backed Glance to openstack-puppet-modules
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-puppet-modules
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 5.0 (RHEL 7)
Assignee: Ivan Chavero
QA Contact: Ami Jeain
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 18:18 UTC by jliberma@redhat.com
Modified: 2014-09-08 05:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-29 19:53:38 UTC


Attachments (Terms of Use)

Description jliberma@redhat.com 2014-07-17 18:18:54 UTC
Description of problem: Currently openstack-puppet-modules only allow Glance backed by rdb, Gluster, and local files. RFE to allow Glance backed by Swift. This is a common customer use case for object storage.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Crag Wolfe 2014-07-18 19:22:49 UTC
It is true we cannot use swift as the glance backend with the current non-HA quickstack manifests.  However, in the HA case, we should be able to set the swift-related parameters here https://github.com/redhat-openstack/astapor/blob/master/puppet/modules/quickstack/manifests/pacemaker/glance.pp#L22 assuming that $backend == 'swift'.

Note that HA implements glance with quickstack::glance whereas non-HA uses openstack::glance.  Ideally, non-HA would be updated to use the same glance manifest as HA and thus support swift.

Comment 3 Ivan Chavero 2014-07-29 19:53:38 UTC
The puppet swift in openstack puppet modules supports swift as a backend https://github.com/stackforge/puppet-glance/blob/cb0daf02d7a991be642e62294912d93b036c6a5a/manifests/backend/swift.pp


Note You need to log in before you can comment on or make changes to this bug.